- Qt 5.15
- Qt 3D
- C++ Classes
- QPropertyValueAddedChange
- Qt 5.15.19 Reference Documentation

# QPropertyValueAddedChange Class

class Qt3DCore::QPropertyValueAddedChange

Used to notify when a value is added to a property. More...

Header: | #include <Qt3DCore/QPropertyValueAddedChange>
qmake: | QT += 3dcore
Inherits: | Qt3DCore::QStaticPropertyValueAddedChangeBase

- List of all members, including inherited members

## Public Functions

| QPropertyValueAddedChange(QNodeId subjectId)
QVariant | addedValue() const
void | setAddedValue(const QVariant &value)

## Related Non-Members

typedef | QPropertyValueAddedChangePtr

## Detailed Description

## Member Function Documentation

### QPropertyValueAddedChange::QPropertyValueAddedChange(QNodeId subjectId)

Constructs a new QPropertyValueAddedChange with subjectId.

### QVariant QPropertyValueAddedChange::addedValue() const

Returns the value added to the property.

See also setAddedValue().

### void QPropertyValueAddedChange::setAddedValue(const QVariant &value)

Sets the value added to the property to value.

See also addedValue().

## Related Non-Members

### typedef QPropertyValueAddedChangePtr

A shared pointer for QPropertyValueAddedChange.